# Interface BindingPatternTree

All Superinterfaces:
  `PatternTree, Tree`

public interface BindingPatternTree extends PatternTree
A binding pattern tree

Since:
  16

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`VariableTree`
`getVariable()`
Returns the binding variable.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getVariable

VariableTree getVariable()
Returns the binding variable.

Returns:
  the binding variable